/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 * 
 * $Id: TckRuntimeDelegate.java 69965 2013-02-13 12:02:10Z supol $
 *
 */

package com.sun.ts.tests.jaxrs.api.rs.ext.runtimedelegate;

import javax.ws.rs.core.Application;
import javax.ws.rs.core.Link.Builder;
import javax.ws.rs.core.UriBuilder;
import javax.ws.rs.core.Response.ResponseBuilder;
import javax.ws.rs.core.Variant.VariantListBuilder;
import javax.ws.rs.ext.RuntimeDelegate;

public class TckRuntimeDelegate extends RuntimeDelegate {

	@Override
	public <T> T createEndpoint(Application application, Class<T> endpointType)
			throws IllegalArgumentException, UnsupportedOperationException {
		return null;
	}

	@Override
	public <T> HeaderDelegate<T> createHeaderDelegate(Class<T> type) {
		return null;
	}

	@Override
	public ResponseBuilder createResponseBuilder() {
		return null;
	}

	@Override
	public UriBuilder createUriBuilder() {
		return null;
	}

	@Override
	public VariantListBuilder createVariantListBuilder() {
		return null;
	}

	@Override
	public Builder createLinkBuilder() {
		return null;
	}

}
